#ifndef _DJR_AUDIOSYSTEM_H_
#define _DJR_AUDIOSYSTEM_H_

#include "UsefulMacros.h"

// VERY IMPORTANT FOR  FRAG_SIZE AND LOG2_FRAG_SIZE TO STAY IN SYNC
#define FRAG_SIZE 1024
#define LOG2_FRAG_SIZE 10
#define NUM_FRAGS 0x00000002
// update the audio 120 times per second
#define AUDIO_UPDATE_RATE ( 1.f / 60.f ) 

void AudiosystemInit( void );
void AudiosystemKill( void );
int OSSDeviceMaxBytes( void );
int OSSDeviceNumFrags( void );
Bool WriteBuffToDSP( signed short * );
Bool WriteSampleToFragment( signed short *y );
int GetFragSize( void );
void DBG_PlayTestNoise_BLOCKING( int iFrags, signed short *pExternalBuff);
		
#endif
